Name:		akarixb
Version:	0.9
Release:	%mkrel 2
Summary:	A Jabber/XMPP bot based on Qt and QXMPP
License:	GPLv2+
Group:		Networking/Instant messaging
Url:		https://jancoding.wordpress.com/akarixb/
Source0:	https://download.savannah.gnu.org/releases/akarixb/%{name}-v%{version}.tar.gz
Patch0:		akarixb-0.9-fix-build-with-qxmpp-1.5.0.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(QXmppQt5)

%description
AkariXB is a Jabber/XMPP bot with a graphical interface.
It can also act as a basic XMPP client.

You can make it join MUC rooms and answer to custom commands, which can be a
static reply, a random reply from a list, a random line from a text file, the
output of a program, a keyword-based reply, etc.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG README TODO
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/metainfo/*%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Jun 11 2023 daviddavid <daviddavid> 0.9-2.mga9
+ Revision: 1961623
- add patch to fix build with new qxmpp >= 1.5.5

* Mon Nov 28 2022 daviddavid <daviddavid> 0.9-1.mga9
+ Revision: 1912248
- new version: 0.9

* Mon Apr 04 2022 umeabot <umeabot> 0.8-7.mga9
+ Revision: 1843244
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.8-6.mga8
+ Revision: 1658126
- Rebuild for new Qt5

* Sat Feb 22 2020 daviddavid <daviddavid> 0.8-5.mga8
+ Revision: 1549490
- rebuild for new qxmpp 1.2.0

* Mon Feb 17 2020 umeabot <umeabot> 0.8-4.mga8
+ Revision: 1537113
- Mageia 8 Mass Rebuild

* Fri Oct 25 2019 daviddavid <daviddavid> 0.8-3.mga8
+ Revision: 1455799
- rebuild for new qxmpp 1.1.0

* Fri Oct 18 2019 daviddavid <daviddavid> 0.8-2.mga8
+ Revision: 1454434
- rebuild for new qxmpp 1.0.1

* Sun Jun 30 2019 daviddavid <daviddavid> 0.8-1.mga8
+ Revision: 1416273
- new version: 0.8

* Fri Mar 29 2019 umeabot <umeabot> 0.7-2.mga7
+ Revision: 1381210
- Qt5 Rebuild

* Sun Feb 10 2019 daviddavid <daviddavid> 0.7-1.mga7
+ Revision: 1364765
- new version : 0.7

* Thu Jan 10 2019 daviddavid <daviddavid> 0.6-2.mga7
+ Revision: 1354581
- rebuild with new qxmpp 1.0.0

* Tue Jan 01 2019 daviddavid <daviddavid> 0.6-1.mga7
+ Revision: 1348221
- new version: 0.6

* Sat Dec 22 2018 daviddavid <daviddavid> 0.5-2.mga7
+ Revision: 1344442
- add patch to complete French translations

* Thu Dec 20 2018 daviddavid <daviddavid> 0.5-1.mga7
+ Revision: 1343308
- new version: 0.5
- remove merged upstream patches

* Fri Sep 21 2018 umeabot <umeabot> 0.4-2.mga7
+ Revision: 1294235
- Mageia 7 Mass Rebuild

* Wed Jun 29 2016 daviddavid <daviddavid> 0.4-1.mga6
+ Revision: 1038094
- initial package akarixb (thanks to JanKusanagi)

